> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Recurring Payment

> Cancels a scheduled recurring payment.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml patch /api/recurring-payment/cancel
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/recurring-payment/cancel:
    patch:
      tags:
        - Recurring Payments management
      summary: Cancel Recurring Payment
      description: Cancels a scheduled recurring payment.
      operationId: cancelRecurringPayment
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: string
                      description: The ID of the merchant that processed the transactions.
                      example: '12345'
                    recurring_payment_id:
                      type: integer
                      description: The ID of the recurring payment to pause.
                      example: 12345
                  required:
                    - sid
                    - recurring_payment_id
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 1
                    name: 'Car Was Solutions '
                    amount: 4,574.99
                    start_date: '2024-11-07T05:00:00.000000Z'
                    end_date: '2026-12-31T05:00:00.000000Z'
                    recurrence_schedule: Monthly
                    last_run_date: '2025-12-15T05:00:00.000000Z'
                    last_run_status: Failed
                    last_run_failed_count: 3
                    next_run_date: null
                    status: Cancelled
                    paused_until_date: null
                    customer_uuid: 9a242468-6b4e-4382-a61b-a728fbc8edae
                    cancelled_at: '2026-06-29T04:00:00.000000Z'
                    error: DECLINE
                    payment_method:
                      id: 7
                      type: cc
                      last_four: '4003'
                      expiration: 09/2029
                      zip: ''
                      name_on_card: Geo Perez
                    shipping_address:
                      addr1: null
                      addr2: null
                      city: null
                      state: null
                      zip: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 1
                      name:
                        type: string
                        example: 'Car Was Solutions '
                      amount:
                        type: string
                        example: 4,574.99
                      start_date:
                        type: string
                        example: '2024-11-07T05:00:00.000000Z'
                      end_date:
                        type: string
                        example: '2026-12-31T05:00:00.000000Z'
                      recurrence_schedule:
                        type: string
                        example: Monthly
                      last_run_date:
                        type: string
                        example: '2025-12-15T05:00:00.000000Z'
                      last_run_status:
                        type: string
                        example: Failed
                      last_run_failed_count:
                        type: integer
                        example: 3
                      next_run_date:
                        type: string
                        example: null
                        nullable: true
                      status:
                        type: string
                        example: Cancelled
                      paused_until_date:
                        type: string
                        example: null
                        nullable: true
                      customer_uuid:
                        type: string
                        example: 9a242468-6b4e-4382-a61b-a728fbc8edae
                      cancelled_at:
                        type: string
                        example: '2026-06-29T04:00:00.000000Z'
                      error:
                        type: string
                        example: DECLINE
                      payment_method:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7
                          type:
                            type: string
                            example: cc
                          last_four:
                            type: string
                            example: '4003'
                          expiration:
                            type: string
                            example: 09/2029
                          zip:
                            type: string
                            example: ''
                          name_on_card:
                            type: string
                            example: Geo Perez
                      shipping_address:
                        type: object
                        properties:
                          addr1:
                            type: string
                            example: null
                            nullable: true
                          addr2:
                            type: string
                            example: null
                            nullable: true
                          city:
                            type: string
                            example: null
                            nullable: true
                          state:
                            type: string
                            example: null
                            nullable: true
                          zip:
                            type: string
                            example: null
                            nullable: true
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Token unauthorized
                    type: object
                    example:
                      data:
                        message: Permission Denied.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Permission Denied.
                  - description: Invalid merchant or affiliate authorization
                    type: object
                    example:
                      data:
                        message: Unauthorized
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Unauthorized
                  - description: Invalid merchant or affiliate associations
                    type: object
                    example:
                      data:
                        message: Not associated with affiliate
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Not associated with affiliate
        '404':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Invalid sid
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
                  - description: No recurring payment found
                    type: object
                    example:
                      data:
                        message: No recurring payment found
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No recurring payment found
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````